<?php
defined('BASEPATH') OR exit('No direct script access allowed');
@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');

class Sponsorship extends Admin_Controller {


	public function __construct() {
		parent::__construct();
		$this->load->model('admin/sponsorship_model');
		
	}

	public function index()
	{


		$this->load->library('pagination');

		  $config = [
		   'base_url'       => base_url('admin/sponsorship/index'),
		   'per_page'       => 5,
		   'total_rows'     => $this->sponsorship_model->count_by(array()),
		   'full_tag_open'  => "<ul class='pagination'>",
		   'full_tag_close' => "</ul>",
		   'first_tag_open' => '<li>',
		   'first_tag_close' => '</li>',
		   'last_tag_open'  => '<li>',
		   'last_tag_close' => '</li>',
		   'next_tag_open'  => '<li>',
		   'next_tag_close' => '</li>',
		   'prev_tag_open'  => '<li>',
		   'prev_tag_close' => '</li>',
		   'num_tag_open'  => '<li>',
		   'num_tag_close'  => '</li>',
		   'cur_tag_open'  => "<li class='active'><a>",
		   'cur_tag_close'  => '</a></li>',
		  ];

		  $this->pagination->initialize($config);


		$result=$this->sponsorship_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();
		$data['sponsorshipdata'] =  $result;

		
		$this->template->write_view('content', 'admin/sponsorship/index',$data);
		$this->template->render();


	}
	public function create()
	{   

		$result=$this->sponsorship_model->getStates();
        $data['statesdata'] = $result;
        $this->template->write_view('content', 'admin/sponsorship/add',$data);
		$this->template->render();

	}

	public function getcity()
{

$state_id=$this->input->post('state_id');
		   $result=$this->sponsorship_model->getcitiesdata($state_id);
			echo '<option value="">Select City</option>';
			foreach($result as $alldata)
			{
		    echo '<option value="'.$alldata->id.'">'.$alldata->name.'</option>';
			}
		 //exit;
}



 public function insert()
 {

    $data=$this->input->post();
    unset($data['submit']);
	     if( $this->form_validation->run('sponsorship_rules'))
	  {
		      $res=$this->sponsorship_model->insert($data);
				
	      	   if($res)
				{
				 $this->prepare_flashmessage("Successfully Inserted..", 0);
	         //return redirect('admin/contact');
				 echo "<script>window.location='".base_url()."admin/sponsorship';</script>";

				}
				else
				{
				$this->prepare_flashmessage("Failed to Insert..", 1);
	          //return redirect(base_url('admin/contact'));
				echo "<script>window.location='".base_url()."admin/sponsorship';</script>";
				}

	  }
	  else
	  {
	  	

       $this->template->write_view('content', 'admin/sponsorship/add');
       $this->template->render();
	  }
}

public function delete()
	{
	//echo $this->uri->segment(3); exit;
	$id=$this->uri->segment(4);
	$result=$this->sponsorship_model->delete($id);
	if($result==1){
	 $this->prepare_flashmessage("Successfully Deleted..", 0);
	 //return redirect('admin/contact');
	 echo "<script>window.location='".base_url()."admin/sponsorship';</script>";
	}
	}

public function edit()
	{   
        

		$id = $this->uri->segment(4); //controller/function/id

        $result1=$this->sponsorship_model->getStates();
        $data['editstatesdata'] = $result1;
		$result=$this->sponsorship_model->get($id);
		$result2=$this->sponsorship_model->getcitiesdata($result->state_id);
		$data['editcitiesdata'] = $result2;
		$data['sponsorshipdata'] = null;
		if($result)
		{
		$data['sponsorshipdata'] = $result;
		}
		
		$this->template->write_view('content', 'admin/sponsorship/edit',$data);
		$this->template->render();
	}
public function update()
    {
       $id = $this->uri->segment(4);
       $data=$this->input->post();
       unset($data['submit']);
      if( $this->form_validation->run('sponsorship_rules'))
		{
       $res=$this->sponsorship_model->update($id,$data);
			
      	if($res)
			{
		 $this->prepare_flashmessage("Successfully Updated..", 0);
         //return redirect('admin/contact');
         echo "<script>window.location='".base_url()."admin/sponsorship';</script>";
			}
			else
			{
			$this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('contact_updateview'));
			echo "<script>window.location='".base_url()."admin/sponsorship';</script>";
			}
			}
		else
		{
			$this->template->write_view('content', 'admin/sponsorship/edit',$data);
			$this->template->render();
		}	
}


    }

 

