<?php
defined('BASEPATH') OR exit('No direct script access allowed');
@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');

class Admin_users extends Admin_Controller {

	public function __construct() {
		parent::__construct();
		$this->load->model('admin/admin_users_model');
		 $this->load->library('pagination');
		
	}

	public function index()
	{


	  $config = [
	   'base_url'   => base_url('admin/admin_users/index'),
	   'per_page'   => 5,
	   'total_rows'  => $this->admin_users_model->count_by(array()),
	   'full_tag_open'  => "<ul class='pagination'>",
	   'full_tag_close' => "</ul>",
	   'first_tag_open' => '<li>',
	   'first_tag_close' => '</li>',
	   'last_tag_open'  => '<li>',
	   'last_tag_close' => '</li>',
	   'next_tag_open'  => '<li>',
	   'next_tag_close' => '</li>',
	   'prev_tag_open'  => '<li>',
	   'prev_tag_close' => '</li>',
	   'num_tag_open'  => '<li>',
	   'num_tag_close'  => '</li>',
	   'cur_tag_open'  => "<li class='active'><a>",
	   'cur_tag_close'  => '</a></li>',
	  ];

      $this->pagination->initialize($config);

      //$this->load->view('welcome_message');
		$result=$this->admin_users_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();
		$data['admin_usersdata'] =  $result;
		$this->template->write_view('content', 'admin/admin_users/index', $data);
		$this->template->render();
	}
	public function create()
	{
		$this->template->write_view('content', 'admin/admin_users/add');
		$this->template->render();
		
	}


	public function insert()
	{

		$data=$this->input->post();
		unset($data['submit']);
		if( $this->form_validation->run('admin_users_rules'))
		{
			$res=$this->admin_users_model->insert($data);

			if($res)
			{
				$this->prepare_flashmessage("Successfully Inserted..", 0);
				//return redirect('admin/admin_users');
				echo "<script>window.location='".base_url()."admin/admin_users';</script>";

			}
			else
			{
				//redirect(site_url('add_blogs_view'));
				$this->prepare_flashmessage("Failed to Insert..", 1);
				//return redirect('admin/admin_users');
				echo "<script>window.location='".base_url()."admin/admin_users';</script>";
			}

		}
		else
		{
			$this->template->write_view('content', 'admin/admin_users/add');
			$this->template->render();
		}
	}

	public function delete()
	{
	//echo $this->uri->segment(3); exit;
		$id=$this->uri->segment(4);
		$result=$this->admin_users_model->delete($id);
		if($result==1){
			$this->prepare_flashmessage("Successfully Deleted..", 0);
			//return redirect('admin/admin_users');
			echo "<script>window.location='".base_url()."admin/admin_users';</script>";
		}
	}

	public function edit()
	{
		$id = $this->uri->segment(4); //controller/function/id
		$result=$this->admin_users_model->get($id);
		$data['admin_usersdata'] = null;
		if($result)
		{
			$data['admin_usersdata'] = $result;
		}
		
		$this->template->write_view('content', 'admin/admin_users/edit',$data);
		$this->template->render();
	}
	public function update()
	{
		$id = $this->uri->segment(4);
		$data=$this->input->post();
		unset($data['submit']);
		if( $this->form_validation->run('admin_users_rules'))
		{
			$res=$this->admin_users_model->update($id,$data);
			
			if($res)
			{
				$this->prepare_flashmessage("Successfully Updated..", 0);
				//return redirect('admin/admin_users');
				echo "<script>window.location='".base_url()."admin/admin_users';</script>";
			}
			else
			{
			//redirect(site_url('add_blogs_view'));
				$this->prepare_flashmessage("Failed to Update..", 1);
				//return redirect(base_url('admin/admin_users'));
				echo "<script>window.location='".base_url()."admin/admin_users';</script>";
			}
		}
		else
		{
			$this->template->write_view('content', 'admin/admin_users/edit',$data);
			$this->template->render();
		}	
	}

public function search()
{
	     $config = [
	   'base_url'   => base_url('admin/admin_users/index'),
	   'per_page'   => 5,
	   'total_rows'  => $this->admin_users_model->count_by(array()),
	   'full_tag_open'  => "<ul class='pagination'>",
	   'full_tag_close' => "</ul>",
	   'first_tag_open' => '<li>',
	   'first_tag_close' => '</li>',
	   'last_tag_open'  => '<li>',
	   'last_tag_close' => '</li>',
	   'next_tag_open'  => '<li>',
	   'next_tag_close' => '</li>',
	   'prev_tag_open'  => '<li>',
	   'prev_tag_close' => '</li>',
	   'num_tag_open'  => '<li>',
	   'num_tag_close'  => '</li>',
	   'cur_tag_open'  => "<li class='active'><a>",
	   'cur_tag_close'  => '</a></li>',
	  ];

      $this->pagination->initialize($config);

      //$this->load->view('welcome_message');
		$result=$this->admin_users_model->limit($config['per_page'], $this->uri->segment(4) )->search();
		$data['admin_usersdata'] =  $result;
		$this->template->write_view('content', 'admin/admin_users/index', $data);
		$this->template->render();
}

}



