<?php
defined('BASEPATH') OR exit('No direct script access allowed');
@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');

class Attractions extends Admin_Controller {


	public function __construct() {
		parent::__construct();
		$this->load->model('admin/attractions_model');
		
	}

	public function index()
	{


		$this->load->library('pagination');

		  $config = [
		   'base_url'       => base_url('admin/attractions/index'),
		   'per_page'       => 5,
		   'total_rows'     => $this->attractions_model->count_by(array()),
		   'full_tag_open'  => "<ul class='pagination'>",
		   'full_tag_close' => "</ul>",
		   'first_tag_open' => '<li>',
		   'first_tag_close' => '</li>',
		   'last_tag_open'  => '<li>',
		   'last_tag_close' => '</li>',
		   'next_tag_open'  => '<li>',
		   'next_tag_close' => '</li>',
		   'prev_tag_open'  => '<li>',
		   'prev_tag_close' => '</li>',
		   'num_tag_open'  => '<li>',
		   'num_tag_close'  => '</li>',
		   'cur_tag_open'  => "<li class='active'><a>",
		   'cur_tag_close'  => '</a></li>',
		  ];

		  $this->pagination->initialize($config);


		$result=$this->attractions_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();
		$data['attractionsdata'] =  $result;
		$this->template->write_view('content', 'admin/attractions/index',$data);
		$this->template->render();


	}
	public function create()
	{

        $this->template->write_view('content', 'admin/attractions/add');
		$this->template->render();

	}


 public function insert()
 {

    $data=$this->input->post();


    unset($data['submit']);
	
	if(!empty($_FILES['picture']['name'])){
                $config['upload_path'] =   'uploads/';
                $config['allowed_types'] = 'jpg|jpeg|png|gif';
                $config['file_name'] = $_FILES['picture']['name'];
                
                //Load upload library and initialize configuration
                $this->load->library('upload',$config);
                $this->upload->initialize($config);


                
                if($this->upload->do_upload('picture')){
                       
                    $uploadData = $this->upload->data();
                    $picture = $uploadData['file_name'];
                }else{

                    $picture = '';
                }
            }else{
                $picture = '';
            }
			
			$data['picture']  = $picture;
			
			
	
	     if( $this->form_validation->run('attractions_rules'))
	  {
		      $res=$this->attractions_model->insert($data);
				
	      	   if($res)
				{
				 $this->prepare_flashmessage("Successfully Inserted..", 0);
	         //return redirect('admin/attractions');
				 echo "<script>window.location='".base_url()."admin/attractions';</script>";

				}
				else
				{
				$this->prepare_flashmessage("Failed to Insert..", 1);
	          //return redirect(base_url('admin/attractions'));
				echo "<script>window.location='".base_url()."admin/attractions';</script>";
				}

	  }
	  else
	  {
	  	

       $this->template->write_view('content', 'admin/attractions/add');
       $this->template->render();
	  }
}

public function delete()
	{
	//echo $this->uri->segment(3); exit;
	$id=$this->uri->segment(4);
	$result2=$this->attractions_model->get($id);
		if($result2)
		{
			$url_of_file = 'uploads/'.$result2->picture;
			
			
			
  if (is_file($url_of_file))
  {
    unlink($url_of_file);
  }
		
		}
	$result=$this->attractions_model->delete($id);
	if($result==1){
	 $this->prepare_flashmessage("Successfully Deleted..", 0);
	 //return redirect('admin/attractions');
	 echo "<script>window.location='".base_url()."admin/attractions';</script>";
	}
	}

public function edit()
	{
		$id = $this->uri->segment(4); //controller/function/id
		$result=$this->attractions_model->get($id);
		$data['attractionsdata'] = null;
		if($result)
		{
		$data['attractionsdata'] = $result;
		}
		
		$this->template->write_view('content', 'admin/attractions/edit',$data);
		$this->template->render();
	}
public function update()
    {
       
       //print_r($_FILES);
	   //exit;
	   
	   if(isset($_FILES['picture']) && $_FILES['picture']!='')
   {
     	

   if(!empty($_FILES['picture']['name'])){
                $config['upload_path'] =   'uploads/';
                $config['allowed_types'] = 'jpg|jpeg|png|gif';
                $config['file_name'] = $_FILES['picture']['name'];
                
                //Load upload library and initialize configuration
                $this->load->library('upload',$config);
                $this->upload->initialize($config);


                
                if($this->upload->do_upload('picture')){
                       
                    $uploadData = $this->upload->data();
                    $picture = $uploadData['file_name'];
                }
            }
   }
 $id = $this->uri->segment(4);
 
 
 
 $data = $this->input->post();
 
	  
$result=$this->attractions_model->get($id);
	
	
	   
      if(isset($picture) && $picture!='' && isset($result->picture) &&  $result->picture!=''  )
	  {
		  if($result)
		{
			$url_of_file = 'uploads/'.$result->picture;
			
			
			
  if (is_file($url_of_file))
  {
    unlink($url_of_file);
  }
		
		}
		
		
		
        $data['picture'] = $picture;
                 
         unset($data['submit']);
			   
			   
      
       $res=$this->attractions_model->update($id,$data);
	   	if($res)
			{
				
		 $this->prepare_flashmessage("Successfully Updated..", 0);
         //return redirect('admin/hotelphotos');
         echo "<script>window.location='".base_url()."admin/attractions';</script>";
			}
			else
			{
			$this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('hotelphotos_updateview'));
			echo "<script>window.location='".base_url()."admin/attractions';</script>";
			}
	}
	elseif(isset($picture) && $picture!='' && isset($result->picture) &&  $result->picture=='')
			{
				  $data['picture'] = $picture;
                 
         unset($data['submit']);
			   
			   
      
       $res=$this->attractions_model->update($id,$data);
	   	if($res)
			{
				
		 $this->prepare_flashmessage("Successfully Updated..", 0);
         //return redirect('admin/hotelphotos');
         echo "<script>window.location='".base_url()."admin/attractions';</script>";
			}
			else
			{
			$this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('hotelphotos_updateview'));
			echo "<script>window.location='".base_url()."admin/attractions';</script>";
			}
				
			$this->prepare_flashmessage("Successfully Updated..", 0);
     //return redirect(base_url('hotelphotos_updateview'));
			echo "<script>window.location='".base_url()."admin/attractions';</script>";
			}
			else{
				
				 unset($data['submit']);
			   
			   
      
       $res=$this->attractions_model->update($id,$data);
	   if($res)
	   {
				$this->prepare_flashmessage("Successfully Updated", 0);
     //return redirect(base_url('hotelphotos_updateview'));
			echo "<script>window.location='".base_url()."admin/attractions';</script>";
			
	   }else{
		   $this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('hotelphotos_updateview'));
			echo "<script>window.location='".base_url()."admin/attractions';</script>";
		   
	   }
				
				
			}
			
	}

	   
      


     

}