<?php
defined('BASEPATH') OR exit('No direct script access allowed');
@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');

class Title extends Admin_Controller {


	public function __construct() {
		parent::__construct();
		$this->load->model('admin/title_model');
		
	}

	public function index()
	{


		$this->load->library('pagination');

		  $config = [
		   'base_url'       => base_url('admin/title/index'),
		   'per_page'       => 5,
		   'total_rows'     => $this->title_model->count_by(array()),
		   'full_tag_open'  => "<ul class='pagination'>",
		   'full_tag_close' => "</ul>",
		   'first_tag_open' => '<li>',
		   'first_tag_close' => '</li>',
		   'last_tag_open'  => '<li>',
		   'last_tag_close' => '</li>',
		   'next_tag_open'  => '<li>',
		   'next_tag_close' => '</li>',
		   'prev_tag_open'  => '<li>',
		   'prev_tag_close' => '</li>',
		   'num_tag_open'  => '<li>',
		   'num_tag_close'  => '</li>',
		   'cur_tag_open'  => "<li class='active'><a>",
		   'cur_tag_close'  => '</a></li>',
		  ];

		  $this->pagination->initialize($config);


		$result=$this->title_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();
		$data['titledata'] =  $result;
		$this->template->write_view('content', 'admin/title/index',$data);
		$this->template->render();


	}
	public function create()
	{

        $this->template->write_view('content', 'admin/title/add');
		$this->template->render();

	}


 public function insert()
 {

    $data=$this->input->post();


    unset($data['submit']);
	     if( $this->form_validation->run('title_rules'))
	  {
		      $res=$this->title_model->insert($data);
				
	      	   if($res)
				{
				 $this->prepare_flashmessage("Successfully Inserted..", 0);
	         //return redirect('admin/title');
				 echo "<script>window.location='".base_url()."admin/title';</script>";

				}
				else
				{
				$this->prepare_flashmessage("Failed to Insert..", 1);
	          //return redirect(base_url('admin/title'));
				echo "<script>window.location='".base_url()."admin/title';</script>";
				}

	  }
	  else
	  {
	  	

       $this->template->write_view('content', 'admin/title/add');
       $this->template->render();
	  }
}

public function delete()
	{
	//echo $this->uri->segment(3); exit;
	$id=$this->uri->segment(4);
	$result=$this->title_model->delete($id);
	if($result==1){
	 $this->prepare_flashmessage("Successfully Deleted..", 0);
	 //return redirect('admin/title');
	 echo "<script>window.location='".base_url()."admin/title';</script>";
	}
	}

public function edit()
	{
		$id = $this->uri->segment(4); //controller/function/id
		$result=$this->title_model->get($id);
		$data['titledata'] = null;
		if($result)
		{
		$data['titledata'] = $result;
		}
		
		$this->template->write_view('content', 'admin/title/edit',$data);
		$this->template->render();
	}
public function update()
    {
       $id = $this->uri->segment(4);
       $data=$this->input->post();
       unset($data['submit']);


      if( $this->form_validation->run('title_rules'))
		{
       $res=$this->title_model->update($id,$data);
			
      	if($res)
			{
		 $this->prepare_flashmessage("Successfully Updated..", 0);
         //return redirect('admin/title');
         echo "<script>window.location='".base_url()."admin/title';</script>";
			}
			else
			{
			$this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('title_updateview'));
			echo "<script>window.location='".base_url()."admin/title';</script>";
			}
			}
		else
		{   


			$this->template->write_view('content', 'admin/title/edit',$data);
			$this->template->render();
		}	
}


}

 

