<?php
defined('BASEPATH') OR exit('No direct script access allowed');
@include_once( APPPATH . 'controllers/admin/Admin_Controller.php');

class Tracks extends Admin_Controller {


	public function __construct() {
		parent::__construct();
		$this->load->model('admin/tracks_model');
		
	}

	public function index()
	{


		$this->load->library('pagination');

		  $config = [
		   'base_url'       => base_url('admin/tracks/index'),
		   'per_page'       => 5,
		   'total_rows'     => $this->tracks_model->count_by(array()),
		   'full_tag_open'  => "<ul class='pagination'>",
		   'full_tag_close' => "</ul>",
		   'first_tag_open' => '<li>',
		   'first_tag_close' => '</li>',
		   'last_tag_open'  => '<li>',
		   'last_tag_close' => '</li>',
		   'next_tag_open'  => '<li>',
		   'next_tag_close' => '</li>',
		   'prev_tag_open'  => '<li>',
		   'prev_tag_close' => '</li>',
		   'num_tag_open'  => '<li>',
		   'num_tag_close'  => '</li>',
		   'cur_tag_open'  => "<li class='active'><a>",
		   'cur_tag_close'  => '</a></li>',
		  ];

		  $this->pagination->initialize($config);


		$result=$this->tracks_model->limit($config['per_page'], $this->uri->segment(4) )->get_all();
		$data['tracksdata'] =  $result;
		$this->template->write_view('content', 'admin/tracks/index',$data);
		$this->template->render();


	}
	public function create()
	{

        $this->template->write_view('content', 'admin/tracks/add');
		$this->template->render();

	}


 public function insert()
 {

    $data=$this->input->post();


    unset($data['submit']);
	     if( $this->form_validation->run('tracks_rules'))
	  {
		      $res=$this->tracks_model->insert($data);
				
	      	   if($res)
				{
				 $this->prepare_flashmessage("Successfully Inserted..", 0);
	         //return redirect('admin/tracks');
				 echo "<script>window.location='".base_url()."admin/tracks';</script>";

				}
				else
				{
				$this->prepare_flashmessage("Failed to Insert..", 1);
	          //return redirect(base_url('admin/tracks'));
				echo "<script>window.location='".base_url()."admin/tracks';</script>";
				}

	  }
	  else
	  {
	  	

       $this->template->write_view('content', 'admin/tracks/add');
       $this->template->render();
	  }
}

public function delete()
	{
	//echo $this->uri->segment(3); exit;
	$id=$this->uri->segment(4);
	$result=$this->tracks_model->delete($id);
	if($result==1){
	 $this->prepare_flashmessage("Successfully Deleted..", 0);
	 //return redirect('admin/tracks');
	 echo "<script>window.location='".base_url()."admin/tracks';</script>";
	}
	}

public function edit()
	{
		$id = $this->uri->segment(4); //controller/function/id
		$result=$this->tracks_model->get($id);
		$data['tracksdata'] = null;
		if($result)
		{
		$data['tracksdata'] = $result;
		}
		
		$this->template->write_view('content', 'admin/tracks/edit',$data);
		$this->template->render();
	}
public function update()
    {
       $id = $this->uri->segment(4);
       $data=$this->input->post();
       unset($data['submit']);


      if( $this->form_validation->run('tracks_rules'))
		{
       $res=$this->tracks_model->update($id,$data);
			
      	if($res)
			{
		 $this->prepare_flashmessage("Successfully Updated..", 0);
         //return redirect('admin/tracks');
         echo "<script>window.location='".base_url()."admin/tracks';</script>";
			}
			else
			{
			$this->prepare_flashmessage("Failed to Update..", 1);
     //return redirect(base_url('tracks_updateview'));
			echo "<script>window.location='".base_url()."admin/tracks';</script>";
			}
			}
		else
		{   


			$this->template->write_view('content', 'admin/tracks/edit',$data);
			$this->template->render();
		}	
}


public function update_status()

    {  



   





       $id = $this->uri->segment(4);
        $status = $this->uri->segment(5);
        
        if(isset($status) && $status!='' && $status=='Active')
        {
           $data = array

              (

                 

                  'status' => 'Inactive'
    	      ); 
            
        }
        elseif(isset($status) && $status!='' && $status=='Inactive')
        {
            
            $data = array

              (

                 

                  'status' => 'Active'

    	      );
            
        }
        else
        {
            
             $data = array

              (

                 

                  'status' => 'Active'

    	      );
            
            
        }

	  

		

		

	   

    

		  

        
			   

      

       $res=$this->tracks_model->update($id,$data);

	   	if($res)

			{

		 $this->prepare_flashmessage("  Successfully Updated Status ..", 0);

         //return redirect('admin/tracks');

         echo "<script>window.location='".base_url()."admin/tracks';</script>";

			}

			else

			{

			$this->prepare_flashmessage("Failed to Update Status..", 1);

     //return redirect(base_url('tracks_updateview'));

			echo "<script>window.location='".base_url()."admin/tracks';</script>";

			}

	}
	
	
	
	
	function remove_checked()
{
        //validation rules
        
            $checked_messages = $this->input->post('msg'); //selected messages
            $this->tracks_model->delete_checked($checked_messages);
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/tracks';</script>";


        
}

function deleteall()
{
        //validation rules
        
            //$checked_messages = $this->input->post('msg'); //selected messages
            $this->tracks_model->delete_all();
            $this->prepare_flashmessage("Successfully deleted selcted records",0);

     //return redirect(base_url('call_abstract_sessions_updateview'));

			echo "<script>window.location='".base_url()."admin/tracks';</script>";


        
}



}

 

